• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
migrate big project from 3.1.X to 4.X

#1
Hello, 

We have a big project we worked on it many years and we have many special structure on it we are using, now with this new version 4.X 
we need to keep same structure and we need your help to know how to migrate the HMVC and make it work on this new version with the minimum of modification 


to be honest this new version many think has change and this doesn't encourage us to stay on CI, many new think to do again and less packages, anyone has good suggestion?

because right now we doesn't find any solution, we can't keep CI 3 we are hearing it's not compatible with 7.4 and in CI 4 we need to create all from scratch 

HMVC (Modular Extension)
bitbucket.org/wiredesignz/codeigniter-modular-extensions-hmvc
Smarty (Template Engine)
github.com/Vheissu/Ci-Smarty
github.com/bcit-ci/CodeIgniter/wiki/Smarty-plugin---URL-Helper
Developer Toolbar
github.com/JCSama/CodeIgniter-develbar
install dotenv
github.com/agungjk/phpdotenv-for-codeigniter
Insert Language Packages
github.com/bcit-ci/codeigniter3-translations
Aauth
github.com/magefly/CodeIgniter-Aauth
codeigniter-aauth-test.readthedocs.io/en/latest/
Datatables Library
github.com/IgnitedDatatables/Ignited-Datatables
github.com/chland/Ignited-Datatables
Sidebar management
github.com/edomaru/codeigniter_multilevel_menu
Activity Logger
github.com/CodeLab7/ci-activity-logger-librery
CodeIgniter Standard model
github.com/avenirer/CodeIgniter-MY_Model
Application Options like Wordpress
github.com/usmanhalalit/option_helper
array group by helper*
github.com/jakezatecky/array_group_by
Reply

#2
I'm afraid it will take hours to actually analyze all the links you have provided for someone to give any detail description how to port something like that. If you are not up to it yourself, you need to hire a developer I'm afraid as CI4 are a complete rewrite from the ground up, and it's breaking changes everywhere. Nothing can be modified to be able to work, you need to re-write it.

https://codeigniter.com/user_guide/insta...e_4xx.html

If you want to use "the latest and greatest" of CodeIgniter, it's version 4. Or you can of course move to another framework, but we would be sad to see you leave. Personally I haven't read any official statement that CI 3 are not compatible with PHP 7.4.

There are only one note about a PHP 7.4 fix in the not released CI 3.1.12
https://github.com/bcit-ci/CodeIgniter/b...ngelog.rst

And here are the changelog for the upcoming CI 3.2.0
https://github.com/bcit-ci/CodeIgniter/b...ngelog.rst

So CI3 are not dead.
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2020 MyBB Group.